# 📡 Processes

[`process.pid`](https://nodejs.org/api/process.html#process_process_pid),
[`process.ppid`](https://nodejs.org/api/process.html#process_process_ppid),
[`process.title`](https://nodejs.org/api/process.html#process_process_title),
[`os.getPriority()`](https://nodejs.org/api/os.html#os_os_getpriority_pid) and
[`os.setPriority()`](https://nodejs.org/api/os.html#os_os_setpriority_pid_priority)
work on any OS.

Other projects can be used to manipulate processes:

- [`ps-list`](https://github.com/sindresorhus/ps-list) or
  [`ps-tree`](https://github.com/indexzero/ps-tree): list processes.
  [`tasklist`](https://github.com/sindresorhus/tasklist) and
  [`fastlist`](https://github.com/MarkTiedemann/fastlist) can also be used for
  Windows only.
- [`pid-from-port`](https://github.com/kevva/pid-from-port): find processes by
  port.
- [`process-exists`](https://github.com/sindresorhus/process-exists): check if a
  process is running.

<hr>

[**Next** _(📡 Signals)_](signals.md)\
[**Previous** _(📡 Networking)_](networking.md)\
[**Top**](README.md)
